Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.google.i18n.phonenumbers
Enum PhoneNumberUtil.PhoneNumberType

    java.lang.Object
      java.lang.Enum<PhoneNumberUtil.PhoneNumberType>
          com.google.i18n.phonenumbers.PhoneNumberUtil.PhoneNumberType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<PhoneNumberUtil.PhoneNumberType>

Enclosing class:
  PhoneNumberUtil

    public static enum PhoneNumberUtil.PhoneNumberType

extends java.lang.Enum<PhoneNumberUtil.PhoneNumberType>

Type of phone numbers.

Enum Constant Summary
`FIXED_LINE`
`FIXED_LINE_OR_MOBILE`
`MOBILE`
`PAGER`
`PERSONAL_NUMBER`
`PREMIUM_RATE`
`SHARED_COST`
`TOLL_FREE`
`UAN`
`UNKNOWN`
`VOIP`

Method Summary
`static PhoneNumberUtil.PhoneNumberType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static PhoneNumberUtil.PhoneNumberType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### FIXED_LINE

    public static final PhoneNumberUtil.PhoneNumberType FIXED_LINE

### MOBILE

    public static final PhoneNumberUtil.PhoneNumberType MOBILE

### FIXED_LINE_OR_MOBILE

    public static final PhoneNumberUtil.PhoneNumberType FIXED_LINE_OR_MOBILE

### TOLL_FREE

    public static final PhoneNumberUtil.PhoneNumberType TOLL_FREE

### PREMIUM_RATE

    public static final PhoneNumberUtil.PhoneNumberType PREMIUM_RATE

### SHARED_COST

    public static final PhoneNumberUtil.PhoneNumberType SHARED_COST

### VOIP

    public static final PhoneNumberUtil.PhoneNumberType VOIP

### PERSONAL_NUMBER

    public static final PhoneNumberUtil.PhoneNumberType PERSONAL_NUMBER

### PAGER

    public static final PhoneNumberUtil.PhoneNumberType PAGER

### UAN

    public static final PhoneNumberUtil.PhoneNumberType UAN

### UNKNOWN

    public static final PhoneNumberUtil.PhoneNumberType UNKNOWN

Method Detail

### values

    public static PhoneNumberUtil.PhoneNumberType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (PhoneNumberUtil.PhoneNumberType c : PhoneNumberUtil.PhoneNumberType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static PhoneNumberUtil.PhoneNumberType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD